<?php
//
// Basic dashlet wrapper for external functions
// Copyright (c) 2008-2020 Nagios Enterprises, LLC. All rights reserved.
//

require_once(dirname(__FILE__) . '/common.inc.php');
include_once(dirname(__FILE__) . '/components/xicore/ajaxhelpers-status.inc.php');

// Initialization stuff
pre_init();
init_session();
do_page();

function do_page() {
    $page_title = "Nagios XI";
    do_page_start(array("page_title" => $page_title), true);
?>
    <?php
        display_dashlet($_GET["dashlet"], "", null, DASHLET_MODE_GETCONFIGHTML);
    ?>

    <script type="text/javascript">
        $(document).ready(function() {
            $('div').parents('.child, .childpage').css({
                'transform-origin': 'center',
            });
        });
    </script>

    <?php
    do_page_end(true);
}